SplType
SplInt
SplType
PHP Manual

# SplType::__construct

Creates a new value of some type

### Description

SplType::__construct ([ mixed `$initial_value` [, bool `$strict` ]] )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`initial_value`

  Type and default value depends on the extension class.

`strict`

  Whether to set the object's sctrictness.

### Errors/Exceptions

Throws an UnexpectedValueException if incompatible type is given.